import z from 'zod'

const airportSchemaValidation = z.object({
  body: z.object({
    airPortName: z.string({
      required_error: 'Airport Name is required',
    }),
    city: z.string({
      required_error: 'City is required',
    }),
    country: z.string({
      required_error: 'Country is required',
    }),
  }),
})

export const AirportValidation = {
  airportSchemaValidation,
}
