import { Router } from 'express'
import { FlightController } from './flight.controller'

const router = Router()

router.post(
  '/create-flight',
  // auth(UserRoles.SUPER_ADMIN),
  // validateData(FlightValidation.createFlightSchema),
  FlightController.createFlight,
)

router.get('/get-flights', FlightController.getFlights)
router.get('/get-flight', FlightController.getSingleFlights)

export const FlightRoutes = router
