import { z } from 'zod'

const planeSchemaValidation = z.object({
  body: z.object({}),
})

const updatePlaneSchemaValidation = z.object({
  body: z.object({
    planeName: z.string().optional(),
    planeId: z.string().optional(),
    capacity: z.number().optional(),
  }),
})

export const PlaneValidation = {
  planeSchemaValidation,
  updatePlaneSchemaValidation,
}
