import dotenv from 'dotenv'

dotenv.config()

export default {
  node_env: process.env.NODE_ENV,
  port: process.env.PORT,
  salt_round: process.env.SALT_ROUND,
  access_token_sceret: process.env.ACCESS_TOKEN_SECRET,
  access_token_expires_in: process.env.ACCESS_TOKEN_EXPIRES_IN,
  refresh_token_sceret: process.env.REFRESH_TOKEN_SECRET,
  refresh_token_expires_in: process.env.REFRESH_TOKEN_EXPIRES_IN,
  super_admin_email: process.env.SUPER_ADMIN_EMAIL,
  super_admin_password: process.env.SUPER_ADMIN_PASSWORD,
  super_admin_phone_number: process.env.SUPER_ADMIN_PHONE_NUMBER,
  super_admin_emergency_phone_number:
    process.env.SUPER_ADMIN_EMERGENCY_PHONE_NUMBER,
  super_admin_profile_image: process.env.Super_ADMIN_PROFILE_IMAGE_URL,
  reset_password_reset_password_url: process.env.RESET_PASSWORD_URL,
  reset_password_secret: process.env.RESET_PASSWORD_SECRET,
  reset_password_expires_in: process.env.RESET_PASSORD_EXPIRES_IN,
  email: process.env.EMAIL,
  app_pass: process.env.APP_PASS,
  cloud_name: process.env.CLOUDINARY_NAME,
  cloud_api_key: process.env.CLOUDINARY_API_KEY,
  cloud_api_secret: process.env.CLOUDINARY_API_SECRET,
}
