import { CloudinaryStorage } from 'multer-storage-cloudinary'
import { cloudinaryUpload } from './cloudinary.config'
import multer from 'multer'

const storage = new CloudinaryStorage({
  cloudinary: cloudinaryUpload,
})

export const multerUploads = multer({ storage: storage })
