/* eslint-disable @typescript-eslint/no-explicit-any */
const peginationOption = (options: any) => {
  const page: number = Number(options.page) || 1
  const limit: number = Number(options.limit)
  const skip: number = (page - 1) * limit
  const sortBy: string = options.sortBy || 'createdAt'
  const sortOrder: string = options.sortOrder || 'desc'

  return {
    page,
    limit,
    skip,
    sortBy,
    sortOrder,
  }
}

export default peginationOption
