import { Router } from 'express'
import { BusDroppingPointController } from './busDroppingPoint.controller'

// import auth from '../../../middleware/auth'
// import { UserRoles } from '@prisma/client'

const router = Router()

router.get(
  '/get-bus-dropping-point/:id',
  BusDroppingPointController.getBusDroppingPoint,
)

router.post(
  '/create-bus-dropping-point',
  // auth(UserRoles.OWNER),
  BusDroppingPointController.createBusDroppingPoint,
)

export const BusDroppingPointRouter = router
