import catchAsync from '../../../shared/catchAsync'
import httpStatus from 'http-status'
import { BusRouteService } from './busRoutes.service'

const createBusRoute = catchAsync(async (req, res) => {
  const result = await BusRouteService.createDistrictForSearch(req.body)
  res.status(201).json({
    statusCode: httpStatus.CREATED,
    message: 'Bus Routes Create successfully',
    data: result,
  })
})

export const BusRouteController = {
  createBusRoute,
}
