import { Router } from 'express'
import { BusTicketController } from './busTicket.controller'

const router = Router()

router.post('/create-bus-ticket', BusTicketController.createBusTicketBooking)
router.post('/create-passenger-info', BusTicketController.passengerInfoInDB)
router.get('/get-seat-block/:id', BusTicketController.getSeatBlockFromDB)
router.get(
  '/get-ticket-for-passenger/:id',
  BusTicketController.getBusTicketForPassenger,
)

export const BusTicketBookRoutes = router
