import { z } from 'zod'

const passengerSchemaValidation = z.object({
  fullName: z.string().optional(),
  email: z.string().email().optional(),
  presentAddress: z.string().optional(),
  permanentAddress: z.string().optional(),
  nidCardNumber: z.string().optional(),
})

export const PassengerValidation = {
  passengerSchemaValidation,
}
